2018-07-16 17:33 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002629OpenFOAM[All Projects] Bugpublic2018-07-10 11:23
Reporterkarlvirgil 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSCentosOS Version7
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002629: thin-film boundary condition accuracy
DescriptionIn the thin film boundary condition file inclinedFilmNusseltInletVelocityFvPatchVectorField.C, the values of 0.333 and 0.666 are used for 1/3 and 2/3, respectively. When trying to make exact comparisons to the analytical expression for model verification, it is helpful to have higher precision on these two values. Thus,

175 operator==(n*pow(gTan*mup/(3.0*rhop), 0.333)*pow(Re, 0.666));

should be replaced by

175 operator==(n*pow(gTan*mup/(3.0*rhop), 1.0/3.0)*pow(Re, 2.0/3.0));
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008432

henry (reporter)

Resolved by commit 0c4175bec7078b69a300016684da250018deba6b
+Notes

-Issue History
Date Modified Username Field Change
2017-07-20 20:09 karlvirgil New Issue
2017-07-20 20:09 karlvirgil Tag Attached: thin-film model
2017-07-21 17:40 henry Assigned To => henry
2017-07-21 17:40 henry Status new => resolved
2017-07-21 17:40 henry Resolution open => fixed
2017-07-21 17:40 henry Fixed in Version => dev
2017-07-21 17:40 henry Note Added: 0008432
2018-07-10 11:23 administrator Tag Detached: thin-film model
+Issue History